ALTER TABLE TIME_COLUMN_CONFIG ADD CONSTRAINT FK_TIME_COLUMN_CONFIG_TIME_PAR FOREIGN KEY (TPC_ID) REFERENCES TIME_PARTICLE_CONFIG (TPC_ID)
ON DELETE CASCADE
;
ALTER TABLE TIME_COLUMN_CONFIG ADD CONSTRAINT FK_TIME_COLUMN_CONFIG_DATASET_ FOREIGN KEY (COL_ID) REFERENCES DATASET_COLUMN (COL_ID)
;
ALTER TABLE TIME_COLUMN_CONFIG ADD CONSTRAINT FK_TIME_COLUMN_CONFIG_TIME_COL FOREIGN KEY (COLUMN_TYPE) REFERENCES TIME_COLUMN_TYPE (COLUMN_TYPE)
;
